#ifndef _minisat2Solver_h
#define _minisat2Solver_h

#include "satSolver.h"

using namespace sat_atpg;

namespace minisat2 {

class SimpSolver;

class Minisat_Solver: public Sat_Solver {
private:
  SimpSolver *s;
public:
  Minisat_Solver();
  ~Minisat_Solver();
  bool solve();
  bool set_cnf(Cnf &cnf);
  bool has_preprocess();
  bool can_add_clause_later(); 
  bool preprocess();
  void assign_solution(Cnf &cnf);
  bool add_clause(My_Clause &m_c);    	   
};

}
#endif

